#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcPowerLines[] cacheitcPowerLines;

		
		public itcPowerLines itcPowerLines(string softwareDescription, string machineAccount, string softwareActivationKey, int daysBack, string openPitTimeStr, string closePitTimeStr, string endObservationTimeStr, string endMorningSessionTimeStr, bool showOpenBox, System.Windows.Media.Brush boxBorderColor, System.Windows.Media.Brush boxFillColor, int boxFillOpacity, bool showOpenLevels, System.Windows.Media.Brush openLineColor, DashStyleHelper openLevelStyle, int openLevelWidth, bool showOpenExtLevels, double openExtLevelsMulti, System.Windows.Media.Brush openExtLineColor, DashStyleHelper openExtLevelStyle, int openExtLevelWidth, bool showMorningLevels, System.Windows.Media.Brush morningLineColor, DashStyleHelper morningLevelStyle, int morningLevelWidth, bool showYesterdayLevels, Brush yesterdayLineColor, DashStyleHelper yesterdayLevelStyle, int yesterdayLevelWidth, Brush yesterdayCloseLineColor, DashStyleHelper yesterdayCloseLevelStyle, int yesterdayCloseLevelWidth, System.Windows.Media.Brush sessionTimeLineColor, DashStyleHelper sessionTimeLineStyle, int sessionTimeLineWidth, System.Windows.Media.Brush pitOpenTimeLineColor, DashStyleHelper pitOpenTimeLineStyle, int pitOpenTimeLineWidth, System.Windows.Media.Brush pitCloseTimeLineColor, DashStyleHelper pitCloseTimeLineStyle, int pitCloseTimeLineWidth, bool showEma1Level, Brush ema1LineColor, DashStyleHelper ema1LevelStyle, int ema1LevelWidth, bool showEma2Level, Brush ema2LineColor, DashStyleHelper ema2LevelStyle, int ema2LevelWidth)
		{
			return itcPowerLines(Input, softwareDescription, machineAccount, softwareActivationKey, daysBack, openPitTimeStr, closePitTimeStr, endObservationTimeStr, endMorningSessionTimeStr, showOpenBox, boxBorderColor, boxFillColor, boxFillOpacity, showOpenLevels, openLineColor, openLevelStyle, openLevelWidth, showOpenExtLevels, openExtLevelsMulti, openExtLineColor, openExtLevelStyle, openExtLevelWidth, showMorningLevels, morningLineColor, morningLevelStyle, morningLevelWidth, showYesterdayLevels, yesterdayLineColor, yesterdayLevelStyle, yesterdayLevelWidth, yesterdayCloseLineColor, yesterdayCloseLevelStyle, yesterdayCloseLevelWidth, sessionTimeLineColor, sessionTimeLineStyle, sessionTimeLineWidth, pitOpenTimeLineColor, pitOpenTimeLineStyle, pitOpenTimeLineWidth, pitCloseTimeLineColor, pitCloseTimeLineStyle, pitCloseTimeLineWidth, showEma1Level, ema1LineColor, ema1LevelStyle, ema1LevelWidth, showEma2Level, ema2LineColor, ema2LevelStyle, ema2LevelWidth);
		}


		
		public itcPowerLines itcPowerLines(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, int daysBack, string openPitTimeStr, string closePitTimeStr, string endObservationTimeStr, string endMorningSessionTimeStr, bool showOpenBox, System.Windows.Media.Brush boxBorderColor, System.Windows.Media.Brush boxFillColor, int boxFillOpacity, bool showOpenLevels, System.Windows.Media.Brush openLineColor, DashStyleHelper openLevelStyle, int openLevelWidth, bool showOpenExtLevels, double openExtLevelsMulti, System.Windows.Media.Brush openExtLineColor, DashStyleHelper openExtLevelStyle, int openExtLevelWidth, bool showMorningLevels, System.Windows.Media.Brush morningLineColor, DashStyleHelper morningLevelStyle, int morningLevelWidth, bool showYesterdayLevels, Brush yesterdayLineColor, DashStyleHelper yesterdayLevelStyle, int yesterdayLevelWidth, Brush yesterdayCloseLineColor, DashStyleHelper yesterdayCloseLevelStyle, int yesterdayCloseLevelWidth, System.Windows.Media.Brush sessionTimeLineColor, DashStyleHelper sessionTimeLineStyle, int sessionTimeLineWidth, System.Windows.Media.Brush pitOpenTimeLineColor, DashStyleHelper pitOpenTimeLineStyle, int pitOpenTimeLineWidth, System.Windows.Media.Brush pitCloseTimeLineColor, DashStyleHelper pitCloseTimeLineStyle, int pitCloseTimeLineWidth, bool showEma1Level, Brush ema1LineColor, DashStyleHelper ema1LevelStyle, int ema1LevelWidth, bool showEma2Level, Brush ema2LineColor, DashStyleHelper ema2LevelStyle, int ema2LevelWidth)
		{
			if (cacheitcPowerLines != null)
				for (int idx = 0; idx < cacheitcPowerLines.Length; idx++)
					if (cacheitcPowerLines[idx].SoftwareDescription == softwareDescription && cacheitcPowerLines[idx].MachineAccount == machineAccount && cacheitcPowerLines[idx].SoftwareActivationKey == softwareActivationKey && cacheitcPowerLines[idx].DaysBack == daysBack && cacheitcPowerLines[idx].OpenPitTimeStr == openPitTimeStr && cacheitcPowerLines[idx].ClosePitTimeStr == closePitTimeStr && cacheitcPowerLines[idx].EndObservationTimeStr == endObservationTimeStr && cacheitcPowerLines[idx].EndMorningSessionTimeStr == endMorningSessionTimeStr && cacheitcPowerLines[idx].ShowOpenBox == showOpenBox && cacheitcPowerLines[idx].BoxBorderColor == boxBorderColor && cacheitcPowerLines[idx].BoxFillColor == boxFillColor && cacheitcPowerLines[idx].BoxFillOpacity == boxFillOpacity && cacheitcPowerLines[idx].ShowOpenLevels == showOpenLevels && cacheitcPowerLines[idx].OpenLineColor == openLineColor && cacheitcPowerLines[idx].OpenLevelStyle == openLevelStyle && cacheitcPowerLines[idx].OpenLevelWidth == openLevelWidth && cacheitcPowerLines[idx].ShowOpenExtLevels == showOpenExtLevels && cacheitcPowerLines[idx].OpenExtLevelsMulti == openExtLevelsMulti && cacheitcPowerLines[idx].OpenExtLineColor == openExtLineColor && cacheitcPowerLines[idx].OpenExtLevelStyle == openExtLevelStyle && cacheitcPowerLines[idx].OpenExtLevelWidth == openExtLevelWidth && cacheitcPowerLines[idx].ShowMorningLevels == showMorningLevels && cacheitcPowerLines[idx].MorningLineColor == morningLineColor && cacheitcPowerLines[idx].MorningLevelStyle == morningLevelStyle && cacheitcPowerLines[idx].MorningLevelWidth == morningLevelWidth && cacheitcPowerLines[idx].ShowYesterdayLevels == showYesterdayLevels && cacheitcPowerLines[idx].YesterdayLineColor == yesterdayLineColor && cacheitcPowerLines[idx].YesterdayLevelStyle == yesterdayLevelStyle && cacheitcPowerLines[idx].YesterdayLevelWidth == yesterdayLevelWidth && cacheitcPowerLines[idx].YesterdayCloseLineColor == yesterdayCloseLineColor && cacheitcPowerLines[idx].YesterdayCloseLevelStyle == yesterdayCloseLevelStyle && cacheitcPowerLines[idx].YesterdayCloseLevelWidth == yesterdayCloseLevelWidth && cacheitcPowerLines[idx].SessionTimeLineColor == sessionTimeLineColor && cacheitcPowerLines[idx].SessionTimeLineStyle == sessionTimeLineStyle && cacheitcPowerLines[idx].SessionTimeLineWidth == sessionTimeLineWidth && cacheitcPowerLines[idx].PitOpenTimeLineColor == pitOpenTimeLineColor && cacheitcPowerLines[idx].PitOpenTimeLineStyle == pitOpenTimeLineStyle && cacheitcPowerLines[idx].PitOpenTimeLineWidth == pitOpenTimeLineWidth && cacheitcPowerLines[idx].PitCloseTimeLineColor == pitCloseTimeLineColor && cacheitcPowerLines[idx].PitCloseTimeLineStyle == pitCloseTimeLineStyle && cacheitcPowerLines[idx].PitCloseTimeLineWidth == pitCloseTimeLineWidth && cacheitcPowerLines[idx].ShowEma1Level == showEma1Level && cacheitcPowerLines[idx].Ema1LineColor == ema1LineColor && cacheitcPowerLines[idx].Ema1LevelStyle == ema1LevelStyle && cacheitcPowerLines[idx].Ema1LevelWidth == ema1LevelWidth && cacheitcPowerLines[idx].ShowEma2Level == showEma2Level && cacheitcPowerLines[idx].Ema2LineColor == ema2LineColor && cacheitcPowerLines[idx].Ema2LevelStyle == ema2LevelStyle && cacheitcPowerLines[idx].Ema2LevelWidth == ema2LevelWidth && cacheitcPowerLines[idx].EqualsInput(input))
						return cacheitcPowerLines[idx];
			return CacheIndicator<itcPowerLines>(new itcPowerLines(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, DaysBack = daysBack, OpenPitTimeStr = openPitTimeStr, ClosePitTimeStr = closePitTimeStr, EndObservationTimeStr = endObservationTimeStr, EndMorningSessionTimeStr = endMorningSessionTimeStr, ShowOpenBox = showOpenBox, BoxBorderColor = boxBorderColor, BoxFillColor = boxFillColor, BoxFillOpacity = boxFillOpacity, ShowOpenLevels = showOpenLevels, OpenLineColor = openLineColor, OpenLevelStyle = openLevelStyle, OpenLevelWidth = openLevelWidth, ShowOpenExtLevels = showOpenExtLevels, OpenExtLevelsMulti = openExtLevelsMulti, OpenExtLineColor = openExtLineColor, OpenExtLevelStyle = openExtLevelStyle, OpenExtLevelWidth = openExtLevelWidth, ShowMorningLevels = showMorningLevels, MorningLineColor = morningLineColor, MorningLevelStyle = morningLevelStyle, MorningLevelWidth = morningLevelWidth, ShowYesterdayLevels = showYesterdayLevels, YesterdayLineColor = yesterdayLineColor, YesterdayLevelStyle = yesterdayLevelStyle, YesterdayLevelWidth = yesterdayLevelWidth, YesterdayCloseLineColor = yesterdayCloseLineColor, YesterdayCloseLevelStyle = yesterdayCloseLevelStyle, YesterdayCloseLevelWidth = yesterdayCloseLevelWidth, SessionTimeLineColor = sessionTimeLineColor, SessionTimeLineStyle = sessionTimeLineStyle, SessionTimeLineWidth = sessionTimeLineWidth, PitOpenTimeLineColor = pitOpenTimeLineColor, PitOpenTimeLineStyle = pitOpenTimeLineStyle, PitOpenTimeLineWidth = pitOpenTimeLineWidth, PitCloseTimeLineColor = pitCloseTimeLineColor, PitCloseTimeLineStyle = pitCloseTimeLineStyle, PitCloseTimeLineWidth = pitCloseTimeLineWidth, ShowEma1Level = showEma1Level, Ema1LineColor = ema1LineColor, Ema1LevelStyle = ema1LevelStyle, Ema1LevelWidth = ema1LevelWidth, ShowEma2Level = showEma2Level, Ema2LineColor = ema2LineColor, Ema2LevelStyle = ema2LevelStyle, Ema2LevelWidth = ema2LevelWidth }, input, ref cacheitcPowerLines);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcPowerLines itcPowerLines(string softwareDescription, string machineAccount, string softwareActivationKey, int daysBack, string openPitTimeStr, string closePitTimeStr, string endObservationTimeStr, string endMorningSessionTimeStr, bool showOpenBox, System.Windows.Media.Brush boxBorderColor, System.Windows.Media.Brush boxFillColor, int boxFillOpacity, bool showOpenLevels, System.Windows.Media.Brush openLineColor, DashStyleHelper openLevelStyle, int openLevelWidth, bool showOpenExtLevels, double openExtLevelsMulti, System.Windows.Media.Brush openExtLineColor, DashStyleHelper openExtLevelStyle, int openExtLevelWidth, bool showMorningLevels, System.Windows.Media.Brush morningLineColor, DashStyleHelper morningLevelStyle, int morningLevelWidth, bool showYesterdayLevels, Brush yesterdayLineColor, DashStyleHelper yesterdayLevelStyle, int yesterdayLevelWidth, Brush yesterdayCloseLineColor, DashStyleHelper yesterdayCloseLevelStyle, int yesterdayCloseLevelWidth, System.Windows.Media.Brush sessionTimeLineColor, DashStyleHelper sessionTimeLineStyle, int sessionTimeLineWidth, System.Windows.Media.Brush pitOpenTimeLineColor, DashStyleHelper pitOpenTimeLineStyle, int pitOpenTimeLineWidth, System.Windows.Media.Brush pitCloseTimeLineColor, DashStyleHelper pitCloseTimeLineStyle, int pitCloseTimeLineWidth, bool showEma1Level, Brush ema1LineColor, DashStyleHelper ema1LevelStyle, int ema1LevelWidth, bool showEma2Level, Brush ema2LineColor, DashStyleHelper ema2LevelStyle, int ema2LevelWidth)
		{
			return indicator.itcPowerLines(Input, softwareDescription, machineAccount, softwareActivationKey, daysBack, openPitTimeStr, closePitTimeStr, endObservationTimeStr, endMorningSessionTimeStr, showOpenBox, boxBorderColor, boxFillColor, boxFillOpacity, showOpenLevels, openLineColor, openLevelStyle, openLevelWidth, showOpenExtLevels, openExtLevelsMulti, openExtLineColor, openExtLevelStyle, openExtLevelWidth, showMorningLevels, morningLineColor, morningLevelStyle, morningLevelWidth, showYesterdayLevels, yesterdayLineColor, yesterdayLevelStyle, yesterdayLevelWidth, yesterdayCloseLineColor, yesterdayCloseLevelStyle, yesterdayCloseLevelWidth, sessionTimeLineColor, sessionTimeLineStyle, sessionTimeLineWidth, pitOpenTimeLineColor, pitOpenTimeLineStyle, pitOpenTimeLineWidth, pitCloseTimeLineColor, pitCloseTimeLineStyle, pitCloseTimeLineWidth, showEma1Level, ema1LineColor, ema1LevelStyle, ema1LevelWidth, showEma2Level, ema2LineColor, ema2LevelStyle, ema2LevelWidth);
		}


		
		public Indicators.itcPowerLines itcPowerLines(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int daysBack, string openPitTimeStr, string closePitTimeStr, string endObservationTimeStr, string endMorningSessionTimeStr, bool showOpenBox, System.Windows.Media.Brush boxBorderColor, System.Windows.Media.Brush boxFillColor, int boxFillOpacity, bool showOpenLevels, System.Windows.Media.Brush openLineColor, DashStyleHelper openLevelStyle, int openLevelWidth, bool showOpenExtLevels, double openExtLevelsMulti, System.Windows.Media.Brush openExtLineColor, DashStyleHelper openExtLevelStyle, int openExtLevelWidth, bool showMorningLevels, System.Windows.Media.Brush morningLineColor, DashStyleHelper morningLevelStyle, int morningLevelWidth, bool showYesterdayLevels, Brush yesterdayLineColor, DashStyleHelper yesterdayLevelStyle, int yesterdayLevelWidth, Brush yesterdayCloseLineColor, DashStyleHelper yesterdayCloseLevelStyle, int yesterdayCloseLevelWidth, System.Windows.Media.Brush sessionTimeLineColor, DashStyleHelper sessionTimeLineStyle, int sessionTimeLineWidth, System.Windows.Media.Brush pitOpenTimeLineColor, DashStyleHelper pitOpenTimeLineStyle, int pitOpenTimeLineWidth, System.Windows.Media.Brush pitCloseTimeLineColor, DashStyleHelper pitCloseTimeLineStyle, int pitCloseTimeLineWidth, bool showEma1Level, Brush ema1LineColor, DashStyleHelper ema1LevelStyle, int ema1LevelWidth, bool showEma2Level, Brush ema2LineColor, DashStyleHelper ema2LevelStyle, int ema2LevelWidth)
		{
			return indicator.itcPowerLines(input, softwareDescription, machineAccount, softwareActivationKey, daysBack, openPitTimeStr, closePitTimeStr, endObservationTimeStr, endMorningSessionTimeStr, showOpenBox, boxBorderColor, boxFillColor, boxFillOpacity, showOpenLevels, openLineColor, openLevelStyle, openLevelWidth, showOpenExtLevels, openExtLevelsMulti, openExtLineColor, openExtLevelStyle, openExtLevelWidth, showMorningLevels, morningLineColor, morningLevelStyle, morningLevelWidth, showYesterdayLevels, yesterdayLineColor, yesterdayLevelStyle, yesterdayLevelWidth, yesterdayCloseLineColor, yesterdayCloseLevelStyle, yesterdayCloseLevelWidth, sessionTimeLineColor, sessionTimeLineStyle, sessionTimeLineWidth, pitOpenTimeLineColor, pitOpenTimeLineStyle, pitOpenTimeLineWidth, pitCloseTimeLineColor, pitCloseTimeLineStyle, pitCloseTimeLineWidth, showEma1Level, ema1LineColor, ema1LevelStyle, ema1LevelWidth, showEma2Level, ema2LineColor, ema2LevelStyle, ema2LevelWidth);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcPowerLines itcPowerLines(string softwareDescription, string machineAccount, string softwareActivationKey, int daysBack, string openPitTimeStr, string closePitTimeStr, string endObservationTimeStr, string endMorningSessionTimeStr, bool showOpenBox, System.Windows.Media.Brush boxBorderColor, System.Windows.Media.Brush boxFillColor, int boxFillOpacity, bool showOpenLevels, System.Windows.Media.Brush openLineColor, DashStyleHelper openLevelStyle, int openLevelWidth, bool showOpenExtLevels, double openExtLevelsMulti, System.Windows.Media.Brush openExtLineColor, DashStyleHelper openExtLevelStyle, int openExtLevelWidth, bool showMorningLevels, System.Windows.Media.Brush morningLineColor, DashStyleHelper morningLevelStyle, int morningLevelWidth, bool showYesterdayLevels, Brush yesterdayLineColor, DashStyleHelper yesterdayLevelStyle, int yesterdayLevelWidth, Brush yesterdayCloseLineColor, DashStyleHelper yesterdayCloseLevelStyle, int yesterdayCloseLevelWidth, System.Windows.Media.Brush sessionTimeLineColor, DashStyleHelper sessionTimeLineStyle, int sessionTimeLineWidth, System.Windows.Media.Brush pitOpenTimeLineColor, DashStyleHelper pitOpenTimeLineStyle, int pitOpenTimeLineWidth, System.Windows.Media.Brush pitCloseTimeLineColor, DashStyleHelper pitCloseTimeLineStyle, int pitCloseTimeLineWidth, bool showEma1Level, Brush ema1LineColor, DashStyleHelper ema1LevelStyle, int ema1LevelWidth, bool showEma2Level, Brush ema2LineColor, DashStyleHelper ema2LevelStyle, int ema2LevelWidth)
		{
			return indicator.itcPowerLines(Input, softwareDescription, machineAccount, softwareActivationKey, daysBack, openPitTimeStr, closePitTimeStr, endObservationTimeStr, endMorningSessionTimeStr, showOpenBox, boxBorderColor, boxFillColor, boxFillOpacity, showOpenLevels, openLineColor, openLevelStyle, openLevelWidth, showOpenExtLevels, openExtLevelsMulti, openExtLineColor, openExtLevelStyle, openExtLevelWidth, showMorningLevels, morningLineColor, morningLevelStyle, morningLevelWidth, showYesterdayLevels, yesterdayLineColor, yesterdayLevelStyle, yesterdayLevelWidth, yesterdayCloseLineColor, yesterdayCloseLevelStyle, yesterdayCloseLevelWidth, sessionTimeLineColor, sessionTimeLineStyle, sessionTimeLineWidth, pitOpenTimeLineColor, pitOpenTimeLineStyle, pitOpenTimeLineWidth, pitCloseTimeLineColor, pitCloseTimeLineStyle, pitCloseTimeLineWidth, showEma1Level, ema1LineColor, ema1LevelStyle, ema1LevelWidth, showEma2Level, ema2LineColor, ema2LevelStyle, ema2LevelWidth);
		}


		
		public Indicators.itcPowerLines itcPowerLines(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int daysBack, string openPitTimeStr, string closePitTimeStr, string endObservationTimeStr, string endMorningSessionTimeStr, bool showOpenBox, System.Windows.Media.Brush boxBorderColor, System.Windows.Media.Brush boxFillColor, int boxFillOpacity, bool showOpenLevels, System.Windows.Media.Brush openLineColor, DashStyleHelper openLevelStyle, int openLevelWidth, bool showOpenExtLevels, double openExtLevelsMulti, System.Windows.Media.Brush openExtLineColor, DashStyleHelper openExtLevelStyle, int openExtLevelWidth, bool showMorningLevels, System.Windows.Media.Brush morningLineColor, DashStyleHelper morningLevelStyle, int morningLevelWidth, bool showYesterdayLevels, Brush yesterdayLineColor, DashStyleHelper yesterdayLevelStyle, int yesterdayLevelWidth, Brush yesterdayCloseLineColor, DashStyleHelper yesterdayCloseLevelStyle, int yesterdayCloseLevelWidth, System.Windows.Media.Brush sessionTimeLineColor, DashStyleHelper sessionTimeLineStyle, int sessionTimeLineWidth, System.Windows.Media.Brush pitOpenTimeLineColor, DashStyleHelper pitOpenTimeLineStyle, int pitOpenTimeLineWidth, System.Windows.Media.Brush pitCloseTimeLineColor, DashStyleHelper pitCloseTimeLineStyle, int pitCloseTimeLineWidth, bool showEma1Level, Brush ema1LineColor, DashStyleHelper ema1LevelStyle, int ema1LevelWidth, bool showEma2Level, Brush ema2LineColor, DashStyleHelper ema2LevelStyle, int ema2LevelWidth)
		{
			return indicator.itcPowerLines(input, softwareDescription, machineAccount, softwareActivationKey, daysBack, openPitTimeStr, closePitTimeStr, endObservationTimeStr, endMorningSessionTimeStr, showOpenBox, boxBorderColor, boxFillColor, boxFillOpacity, showOpenLevels, openLineColor, openLevelStyle, openLevelWidth, showOpenExtLevels, openExtLevelsMulti, openExtLineColor, openExtLevelStyle, openExtLevelWidth, showMorningLevels, morningLineColor, morningLevelStyle, morningLevelWidth, showYesterdayLevels, yesterdayLineColor, yesterdayLevelStyle, yesterdayLevelWidth, yesterdayCloseLineColor, yesterdayCloseLevelStyle, yesterdayCloseLevelWidth, sessionTimeLineColor, sessionTimeLineStyle, sessionTimeLineWidth, pitOpenTimeLineColor, pitOpenTimeLineStyle, pitOpenTimeLineWidth, pitCloseTimeLineColor, pitCloseTimeLineStyle, pitCloseTimeLineWidth, showEma1Level, ema1LineColor, ema1LevelStyle, ema1LevelWidth, showEma2Level, ema2LineColor, ema2LevelStyle, ema2LevelWidth);
		}

	}
}

#endregion
